; STEFAN GAGNE'S GENERIC PC GAME LAUNCHER FOR ARCADE CABINETS
; Comment out or uncomment lines as appropriate.

; ------------------------------------------------
; OPTIONAL: SPLASHER SUPPORT
; If you're using my Splasher.ahk script to display control schemes or
; artwork on a secondary monitor, uncomment these lines.

;#include c:\emulation\controls\Splasher.ahk
;Splasher("Game Name", "c:\emulation\HyperSpin\Media\PC Games\Images\Wheel\Game Name.png")

; ------------------------------------------------
; 1. TO FIX PERSISTENT MOUSE CURSORS
; Uncomment the MouseMove line and set the coordinates to the max X and Y
; of your monitor.
;MouseMove 1600,1200

; ------------------------------------------------
; 2. LAUNCHING THE GAME
; If you need to launch through Steam instead of directly launching the EXE,
; use the second "run the game" line instead.

; Best option is to run the game directly.
RunWait, "c:\games\game.exe", "c:\games"

; If that doesn't work, use this instead, replacing XXXXXX with the Steam store
; code seen in the URL to the game's page at steampowered.com.
;Run, steam://run/XXXXXX

; Sleep a few seconds to wait for it to activate. This may not be needed, it's
; just to be certain it's good to go.
Sleep, 5000

; ------------------------------------------------
; 3. WAIT FOR THE GAME TO END.
; Most games work fine with Process WaitClose but some which launch
; sub-processes need to work by window titles.

; Normally this will work fine. Just replace game.exe as appropriate.
Process, WaitClose, "game.exe"

; If that fails, uncomment the next two lines and use the window title instead.
; That'll wait for the window to exist, then wait for it to close. Good for
; games like Downwell which launch new processes.
;WinWait, WINDOW TITLE IF PROCESS FAILS
;WinWaitClose

; Shut off the splash image, if any.
SplashImage, Off

ExitApp

; ------------------------------------------------
; 4. CONTROL BINDS.
; These will vary from game to game and according to your joystick setup.
; If a game has rebindable controls within the game itself you won't need
; anything, but that's pretty rare -- typically at minimum you need the
; standard menu rebinds.

; Standard menu key rebinds for X-Arcade style sticks.
1::Enter
3::Escape

; Many PC games assume WASD for movement, not arrow keys.
Up::w
Left::a
Down::s
Right::d

; Similarly many use Z, X, and C as your three action buttons.
z::LControl
x::LAlt
c::Space